Bug 249760 - security/broccoli: depends on python 2.x
Summary: security/broccoli: depends on python 2.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Craig Leres
URL:
Keywords:
Depends on:
Blocks: 249337
  Show dependency treegraph
 
Reported: 2020-09-24 16:34 UTC by Steve Wills
Modified: 2020-11-19 01:20 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (leres)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2020-09-24 16:34:38 UTC
This port will be removed on 2020-12-31 if not fixed
Comment 1 commit-hook freebsd_committer 2020-11-19 00:48:52 UTC
A commit references this bug:

Author: leres
Date: Thu Nov 19 00:48:33 UTC 2020
New revision: 555679
URL: https://svnweb.freebsd.org/changeset/ports/555679

Log:
  security/broccoli: Explicitly deprecate due to dependency on lang/python27

  Given its dependency on lang/python27, lets deprecate broccoli
  itself to give ports that depend it a little warning.

  (It looks like security/barnyard2 is the only one left.)

  PR:		249760
  Reported by:	swills

Changes:
  head/security/broccoli/Makefile
Comment 2 Craig Leres freebsd_committer 2020-11-19 01:20:02 UTC
I deprecated security/broccoli so it should go away at the same time that lang/python27 does. I also removed the BROCCOLI option from security/bro and gave the maintainer of security/barnyard2 a heads up.